gratifiant > linux.debian.user.french

Patrick Virtual (20/06/2019, 23h40)
Mes meilleurs Salution!

apt-get remove firefox*
apt-get purge firefox*
apt install firefox
E: Le paquet « firefox » n'a pas de version susceptible d'être installée.

Comment je peut installer firefox sur Debian 9.9?

Mes meileurs Salution!
Jean-Marc (20/06/2019, 23h50)
Thu, 20 Jun 2019 23:15:55 +0200
Patrick Virtual <patrick.dreier> écrivait :

> Mes meilleurs Salution!


bonsoir Patrick,

> apt-get remove firefox*
> apt-get purge firefox*
> apt install firefox
> E: Le paquet « firefox » n'a pas de version susceptible d'être installée.
>
> Comment je peut installer firefox sur Debian 9.9?


Debian offre Firefox ESR sur Debian 9. Ce sera aussi le cas sur Debian 10.
Cf.

Firefox ESR est la version avec un support long terme.

Si tu veux vraiment installer Firefox, il est disponible mais dans la version Debian Sid/unstable uniquement.

Pour une utilisation normale, je te conseille Firefox ESR (version actuelle: 60).

Sinon, tu peux essayer de mélanger les versions de Debian mais uniquement si tu as de l'expérience dans ce genre de manipulations.

> Mes meileurs Salution!


Bonne soirée.

Jean-Marc <jean-marc>
ajh-valmer (21/06/2019, 11h00)
On Thursday 20 June 2019 23:15:55 Patrick Virtual wrote:
> Mes meilleurs Salution!
> apt-get remove firefox*
> apt-get purge firefox*
> apt install firefox
> E: Le paquet « firefox » n'a pas de version susceptible d'être installée.
>
> Comment je peut installer firefox sur Debian 9.9?


Hello,

Et en installant Firefox depuis son site ?
Eric Degenetais (21/06/2019, 11h30)
Le ven. 21 juin 2019 à 10:52, ajh-valmer <ajh.valmer> a écrit :
> On Thursday 20 June 2019 23:15:55 Patrick Virtual wrote:
> Hello, bonjour
> Et en installant Firefox depuis son site ?

à mon sens, à moins d'être absolument coincé il vaut largement mieux
utiliser les packages maintenus par debian pour sa version de debian.
Or ici, on n'est pas coincés, comme vu plus haut le paquet firefox-esr
pemet d'avoir FF

Cordialement
Daniel Caillibaud (21/06/2019, 16h30)
Le 21/06/19 =C3=A0 11:25, Eric Degenetais <edegenetais> a =C3=A9cr=
it :
> > Et en installant Firefox depuis son site ?


C'est faisable mais pas conseill=C3=A9, =C3=A0 moins de savoir vraiment ce =
que l'on
fait=20
- ne pas avoir d'autre firefox install=C3=A9 (=C3=A0 cause du ~/.mozilla co=
mmun =C3=A0
toutes les instances, lancer successivement 2 versions =E2=89=A0 peut met=
tre le
bazar)
- si on veut revenir =C3=A0 une version ant=C3=A9rieure, il faut virer ce d=
ossier,
donc perdre toutes ses pr=C3=A9f=C3=A9rences (ou alors les exporter avant=
et
importer apr=C3=A8s, faut pour =C3=A7a installer des extensions qui march=
ent plus
ou moins bien, bref, bcp plus simple de rester en -esr)

> =C3=A0 mon sens, =C3=A0 moins d'=C3=AAtre absolument coinc=C3=A9 il vaut = largement mieux
> utiliser les packages maintenus par debian pour sa version de debian.
> Or ici, on n'est pas coinc=C3=A9s, comme vu plus haut le paquet firefox-e= sr
> pemet d'avoir FF


Je pensais qu'on pouvait avoir un plus r=C3=A9cent avec le paquet
"firefox" (sans -esr) dans stretch-backports, mais il ne semble plus y =C3=
=AAtre
(ceci dit la v60 de firefox-esr fonctionne tr=C3=A8s bien).

--=20
Daniel

La mis=C3=A8re a cela de bon qu'elle supprime la crainte des voleurs.
Alphonse Allais
didier gaumet (21/06/2019, 17h10)
Et sinon pour utiliser un firefox "normal" (pas ESR) il y aurait aussi
les Firefox fournis en flatpaks par Fedora (après vérif', Firefox n'est
plus sur Flathub?) et les snaps fournis directement par Mozilla. J'avais
essayé brièvement le snap Firefox et je n'avais pas eu de problème (je
connais peu la question mais le snap ne perturbe pas l'environnement de
l'appli équivalente en paquet Debian, à priori).







maintenant il y a même des plug-ins pour installer des flatpaks et des
snaps à partir de gnome-software, pour ceux qui sont plus à l'aise avec
un outil graphique pour installer des applications.

Comme tout ça n'est pas mon rayon, les commentaires sont les bienvenus
pour informer des avantages ou inconvénients de ces solutions :-)
Daniel Caillibaud (22/06/2019, 14h40)
Le 21/06/19 =C3=A0 17:20, Alexandre Goethals <alexandre.goethals> a
=C3=A9crit :
> Pour =C3=A9viter les probl=C3=A8mes caus=C3=A9s par un r=C3=A9pertoire .m= ozilla partag=C3=A9, je
> pense qu'utiliser des profils diff=C3=A9rents peut aider.=20


Oui, mais c'est assez p=C3=A9nible au quotidien, il faut que le ff1 se lance
toujours sous le profil ff1 et ff2 sous le profil ff2. Pour en =C3=AAtre s=
=C3=BBr
vaut mieux aller modifier tous les lanceurs (pour pr=C3=A9ciser le profil a=
vec
`-P leProfil`).

> Perso, j'ai aussi l'=C3=A9dition Nightly et l'ESR de Debian, j'utilise un= seul
> et m=C3=AAme profil, je n'ai pas rencontr=C3=A9 de probl=C3=A8me.


Alors tu as de la chance, ou tu n'utilise pas trop d'extensions qui se
cr=C3=AApent le chignon entre les versions diff=C3=A9rentes.

Je me souviens avoir eu pas mal de pb en voulant tester du nightly (mais y'a
d=C3=A9j=C3=A0 qq ann=C3=A9es).

> Mais c'est vrai que depuis que l'ESR est pass=C3=A9 =C3=A0 la version 60,= cette
> =C3=A9dition suffit tr=C3=A8s bien.


Oui, pas rencontr=C3=A9 de bug ou de pb divers qui auraient =C3=A9t=C3=A9 r=
=C3=A9gl=C3=A9s par une
version plus r=C3=A9cente.

--=20
Daniel

Si l'herbe est plus verte dans le jardin de ton voisin, laisse-le s'emmerder
=C3=A0 la tondre.
Fred Allen
didier gaumet (23/06/2019, 10h10)
Je me demande dans quelle mesure Mozilla n'aurait pas, au fil du temps,
implanté une gestion minimale des conflits de versions, vu que l'emploi
de Firefox par une bonne partie des utilisateurs doit reposer sur une
connexion à un compte Mozilla et des synchronisations entre différents
appareils (ordinateurs et smartphones principalement), ce qui provoque
probablement des situations conflictuelles (il faudrait qu'au niveau
mondial, les mises à jour firefox soient disponibles et appliquées au
même moment sur toutes les plateformes de l'utilisateur)
Daniel Caillibaud (24/06/2019, 14h00)
Le 23/06/19 =C3=A0 10:03, didier gaumet <didier.gaumet> a =C3=A9c=
rit :
> Je me demande dans quelle mesure Mozilla n'aurait pas, au fil du temps,
> implant=C3=A9 une gestion minimale des conflits de versions, vu que l'emp= loi
> de Firefox par une bonne partie des utilisateurs doit reposer sur une
> connexion =C3=A0 un compte Mozilla et des synchronisations entre diff=C3= =A9rents
> appareils (ordinateurs et smartphones principalement), ce qui provoque
> probablement des situations conflictuelles (il faudrait qu'au niveau
> mondial, les mises =C3=A0 jour firefox soient disponibles et appliqu=C3= =A9es au
> m=C3=AAme moment sur toutes les plateformes de l'utilisateur)


Je suppose que la synchro ne se fait pas au niveau des fichiers
du ~/.mozilla, et que le serveur sait comment renvoyer les bonnes donn=C3=
=A9es
aux diff=C3=A9rents clients (voire que ces derniers savent g=C3=A9rer les e=
rreurs de
format de donn=C3=A9es).

Le pb est peut-=C3=AAtre pas tellement sur firefox lui-m=C3=AAme, c'est plu=
t=C3=B4t ses
extensions qui posent pb dans le ~/.mozilla (soit une vieille version veut
charger une extension trop r=C3=A9cente, soit l'extension ne retrouve plus =
ses
donn=C3=A9es, soit=E2=80=A6), enfin, je dis =C3=A7a de m=C3=A9moire, j'ai e=
u ces pbs de conflits
mais c'=C3=A9tait y'a qq ann=C3=A9es, je joue plus avec =E2=89=A0 versions =
depuis longtemps.

--=20
Daniel

Il y a quelqu'un sans qui tout ce que j'ai fait
jusqu'=C3=A0 pr=C3=A9sent n'aurait pas =C3=A9t=C3=A9 possible: MOI.
Philippe Geluck, Le chat
Eric Degenetais (24/06/2019, 14h10)
bonjour,
Le lun. 24 juin 2019 à 13:57, Daniel Caillibaud <ml> aécrit :
> Le 23/06/19 à 10:03, didier gaumet <didier.gaumet> a écrit :
> Je suppose que la synchro ne se fait pas au niveau des fichiers
> du ~/.mozilla, et que le serveur sait comment renvoyer les bonnes données
> aux différents clients (voire que ces derniers savent gérer leserreurs de
> format de données).

En mode synchro client/serveur, il y a explicitement partage des
données. Je ne suis pas certain que le profil soit conçu pour être
partagé entre plusieurs versions différentes de FF.
> Le pb est peut-être pas tellement sur firefox lui-même, c'est plutôt ses
> extensions qui posent pb dans le ~/.mozilla (soit une vieille version veut

ou, tout simplement, le profil est censé être manipulé par une unique
version (avec du code de migration pour les montées de version),et pas
du tout pour faire des allers-retours sauvages en tre plusieurs
versions. Parfois on a de la chance et ça tombe en marche, parfois
quelque chose diffère entre les versions et les données finissent
corrompues.
> charger une extension trop récente, soit l'extension ne retrouve plus ses
> données, soit?), enfin, je dis ça de mémoire, j'aieu ces pbs de conflits
> mais c'était y'a qq années, je joue plus avec ? versions depuis longtemps.
> --
> Daniel
> Il y a quelqu'un sans qui tout ce que j'ai fait
> jusqu'à présent n'aurait pas été possible: MOI.
> Philippe Geluck, Le chat


______________
Éric Dégenètais
Henix


Discussions similaires